class PcFormIdList extends PcFormElement
{
  constructor(props)
  {
    super(props);
  }

  componentDidMount()
  {

  }

  onClickItem(index)
  {
    this.props.onClick(this.props.list[index]);
  }

  render()
  {
    var labels = this.props.list.map((item, index)=>
    {
      return e(PcLabel,
          {
            key:item.join("-"),
            onClick:()=>this.onClickItem(index),
            label: item[1] + " " + item[2] + ((item[3]!=undefined) ? " (" + item[3] + ")" : ""),
            position:"relative",
            width:this.props.width,
            height:this.props.height,
            halign : this.props.centered ? "center" : "left",
            spacingH:5*PcConfig.renderSize,
            spacingV:5*PcConfig.renderSize,
            fontSize:PcConfig.scenario.fontSize,
            color: PcConfig.scenario.fontColor,
            showDelay:"0,1s"
          }
        )
    })

    return e('div',
      {
        className:"pcidlistcontainer",
        style:
        {
          borderStyle:"solid",
          borderWidth:labels.length>0 ? PcConfig.scenario.buttonsBorderWidth/4 : 0,
          borderColor:"#000000",
          borderRadius:12*PcConfig.renderSize,
          backgroundColor:PcConfig.scenario.backgroundtColor,
          textAlign:this.props.centered ? "center" : "left",
          transition:"all 0.25s ease-out",
        }
      },
      labels
      );
  }

}
