<?php
//CABIN + PHP SERVER SCRIPT, TO DAEMONIZE WITH PYTHON
include_once 'config.php' ;
define('LOCALUPDBG', false);
$bServerReachable = is_server_reachable() ;

// select photocabine_status line with device id and config id
$oConfigXml = simplexml_load_file(getXmlFile('config.xml')) ;
$sql  = 'SELECT * from photocabine_status WHERE (config = \''. $oConfigXml->id . '\' AND device = ' . DEVICE_ID . ') ORDER BY date DESC LIMIT 0, 1';

dbg(LOCALUPDBG, "initial req: $sql");
$line = $db->select($sql);
dbg(LOCALUPDBG, "initial req done");
if (! $line) // create the cabin status entry
{
	$data = array();
	$data['date'] = date('Y-m-d H:i:s');
	$my_date = $data['date'];
	$data['config'] = $oConfigXml->id;
	$data['device'] = DEVICE_ID;
	$data['needs_reboot'] = 0;
	$db->insert('photocabine_status', $data);
}
else
{
	$my_date = $line->date;
}
//common part

$data['is_server_reachable'] = $bServerReachable;
$statePrinter = checkPrinterState() ;
if ($statePrinter)
{ // update printer status
	$data['printer_status'] = $statePrinter->status;
	$data['printer_photos_remaining'] = $statePrinter->counter;
}
if (array_key_exists('needs_reboot', $_GET))
{
	$data['needs_reboot'] = (int) getParam('needs_reboot', $_GET, 0) ;
}
$datastr = json_encode($data);
dbg(LOCALUPDBG, "update req with data $datastr");
$db->update('photocabine_status', $data, '(date = \'' . $my_date . '\' AND device = ' . DEVICE_ID . ' AND config = \'' . $oConfigXml->id . '\' )');
dbg(LOCALUPDBG, "update req done");

			
?>
